/* This class handles the events of the SAX parsing of the XML 
 * 
 * This handler only cares about the <heading> tag.
 * 
 * */

import org.xml.sax.*;
import org.xml.sax.helpers.DefaultHandler;

public class NotesHandler extends DefaultHandler
{
	private boolean inHeading = false;
	
	public void startElement(String uri, String localName, String name, Attributes attribs) throws SAXException 
	{
		System.out.println("Start element : " + name);

		if (name.equalsIgnoreCase("HEADING"))
			inHeading = true;
	}
	
	public void endElement(String uri, String localName, String name) throws SAXException 
	{
		System.out.println("End element : " + name);
	}
	
	public void characters(char ch[], int start, int length) throws SAXException 
	{
		if (inHeading) 
		{
			System.out.println("*** Heading : " + new String(ch, start, length));
			inHeading = false;
		}
	}
}
