/* Example of using SAX to parse a simple XML file 
 * 
 * Takes a single command-line argument specifying an XML file like:
 * 
 * <notes>
 * <note id="12345">
 *     <to>Tove</to> 
 *     <from>Jani</from> 
 *     <heading>Reminder</heading> 
 *     <body>Don't forget me this weekend!</body>
 * </note>
 * <note id="12346">
 *     <to>Keith</to> 
 *     <from>Vertanen</from> 
 *     <heading>Launch the missiles!</heading> 
 *     <body>It's the end of the world as we know it (and I feel fine).</body>
 * </note>
 * </notes>
 * 
 **/

import javax.xml.parsers.*;
import org.xml.sax.*;
import java.io.*;

public class ReadSAX 
{
	public static void main(String [] args)
	{
		try
		{
			SAXParserFactory factory = SAXParserFactory.newInstance();
			SAXParser saxParser = factory.newSAXParser();
			NotesHandler handler = new NotesHandler();
			
		    saxParser.parse(args[0], handler);
		}
		catch (IOException e)
		{
			System.out.println("Failed to load file: " + args[0]);
			return;
		} 
		catch (ParserConfigurationException e) 
		{
			System.out.println("Failed to parse file: " + args[0]);
			return;
		} 
		catch (SAXException e) 
		{
			System.out.println("Failed to parse file: " + args[0]);
			return;
		}
	}
}
